File: DEPENDENCIES

package info (click to toggle)
gettext 0.19.8.1-10
  • links: PTS
  • area: main
  • in suites: bullseye, sid
  • size: 108,980 kB
  • sloc: ansic: 388,375; sh: 51,026; makefile: 8,530; perl: 4,181; lisp: 3,413; yacc: 1,069; cpp: 673; java: 613; cs: 578; sed: 369; objc: 337; awk: 80; tcl: 63; xml: 27; pascal: 11; php: 8
file content (220 lines) | stat: -rw-r--r-- 7,213 bytes parent folder | download | duplicates (4)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
The following packages should be installed before GNU gettext is installed
(runtime dependencies that are also build dependencies):

* GNU libiconv
  + Not needed on systems with
      - glibc 2.2 or newer, or
      - MacOS X 10.3 or newer, or
      - NetBSD 3.0 or newer.
    But highly recommended on all other systems.
    Needed for character set conversion of PO files from/to Unicode.
  + Homepage:
    http://www.gnu.org/software/libiconv/
  + Download:
    http://ftp.gnu.org/gnu/libiconv/
    ftp://ftp.gnu.org/gnu/libiconv/
  + If it is installed in a nonstandard directory, pass the option
    --with-libiconv-prefix=DIR to 'configure'.

* GNU ncurses (preferred)
  or libtermcap (discouraged) or a curses library (legacy).
  + Highly recommended.
    Needed for the --color option of the 'msgcat' program.
  + Homepage:
    http://www.gnu.org/software/ncurses/
  + Download:
    http://ftp.gnu.org/gnu/ncurses/
    ftp://ftp.gnu.org/gnu/ncurses/
  + If it is installed in a nonstandard directory, pass the option
    --with-ncurses-prefix=DIR or --with-libtermcap-prefix to 'configure'.

* libxml2
  + Recommended.
    Needed for 'xgettext' and 'msgfmt', so that it can parse XML
    files.  Also needed for the --color option of the various
    programs.
    If not present, a subset of libxml2 (included in this package) will be
    compiled into libgettextlib.
  + Homepage:
    http://xmlsoft.org/
  + Download:
    ftp://xmlsoft.org/libxml2/
  + If it is installed in a nonstandard directory, pass the option
    --with-libxml2-prefix=DIR to 'configure'.

* A Java runtime and compiler (e.g. GNU gcj or kaffe).
  + Recommended.
    Needed for building libintl.jar.  Also needed for 'msgfmt' and
    'msgunfmt', so that they can handle Java classes and properties files.
  + Homepage:
    http://gcc.gnu.org/java/
    http://www.kaffe.org/
  + Download:
    http://ftp.gnu.org/gnu/gcc/
    http://www.kaffe.org/ftp/pub/kaffe/v1.1.x-development/

* A C# runtime and compiler (e.g. pnet or mono).
  + Recommended.
    Needed for building GNU.Gettext.dll. Also needed for 'msgfmt' and
    'msgunfmt', so that they can handle C# resources and assemblies.
  + Homepage:
    http://www.southern-storm.com.au/portable_net.html
  + Download:
    http://www.southern-storm.com.au/portable_net.html#download
    http://www.mono-project.com/Downloads
  + If more than one C# is installed, pass the option --enable-csharp=IMPL
    to 'configure', to disambiguate.

* git 1.6 or newer
  + Recommended.
    Needed by the 'autopoint' program, if not configured with --without-git
    or --with-cvs.
  + Homepage:
    http://git-scm.com/
  + Download:
    http://www.kernel.org/pub/software/scm/git/

* The archiving utility 'tar'.
  + Recommended.
    Needed for the 'autopoint' program.
    Either the platform's native tar, or GNU tar.
  + Homepage:
    http://www.gnu.org/software/tar/
  + Download:
    http://ftp.gnu.org/gnu/tar/
    ftp://ftp.gnu.org/gnu/tar/

* The GNU compression utility 'gzip'.
  + Recommended.
    Needed for the 'autopoint' program.
  + Homepage:
    http://www.gnu.org/software/gzip/
  + Download:
    http://ftp.gnu.org/gnu/gzip/
    ftp://ftp.gnu.org/gnu/gzip/

* The compression utility 'bzip2'.
  + Recommended.
    Needed for the 'autopoint' program, if not configured with --without-bzip2.
  + Homepage:
    http://www.bzip.org/
  + Download:
    http://www.bzip.org/downloads.html

* The compression utility 'xz'.
  + Recommended.
    Needed for the 'autopoint' program, if not configured with --without-xz.
  + Homepage:
    http://tukaani.org/xz/
  + Download:
    http://tukaani.org/xz/

* GNOME glib2
  + Optional.
    Needed for the --color option of the various programs.
    If not present, a subset of libglib2 (included in this package) will be
    compiled into libgettextlib.
  + Homepage:
    http://developer.gnome.org/arch/gtk/glib.html
  + Download:
    http://ftp.gnome.org/pub/GNOME/sources/glib/
  + If it is installed in a nonstandard directory, pass the option
    --with-libglib-2.0-prefix=DIR to 'configure'.

* GNOME libcroco 0.6.1 or newer
  + Optional.
    Needed for the --color option of the various programs.
    If not present, a copy of libcroco-0.6.1 (included in this package) will
    be compiled into libgettextlib.
  + Homepage:
    http://www.freespiders.org/projects/libcroco/
  + Download:
    http://ftp.gnome.org/pub/GNOME/sources/libcroco/0.6/
  + If it is installed in a nonstandard directory, pass the option
    --with-libcroco-0.6-prefix=DIR to 'configure'.

* GNU libunistring
  + Optional.
    Needed for the line breaking in PO files and for xgettext.
    If not present, a subset of libunistring (included in this package) will
    be compiled into libgettextlib.
  + Homepage:
    http://www.gnu.org/software/libunistring/
  + Download:
    http://ftp.gnu.org/gnu/libunistring/
    ftp://ftp.gnu.org/gnu/libunistring/
  + If it is installed in a nonstandard directory, pass the option
    --with-libunistring-prefix=DIR to 'configure'.

* CVS 1.11 or newer
  + Optional but deprecated.
    Needed by the 'autopoint' program, if configured with --with-cvs.
  + Homepage:
    http://ximbiot.com/cvs/wiki/index.php?title=Main_Page
    http://www.nongnu.org/cvs/
  + Download:
    http://ftp.gnu.org/non-gnu/cvs/


The following packages should be installed when GNU gettext is installed
(runtime dependencies, but not build dependencies):

None.


The following should be installed when GNU gettext is built, but are not
needed later, once it is installed (build dependencies, but not runtime
dependencies):

* A C runtime, compiler, linker, etc.
  + Mandatory. Either the platform's native 'cc', or GCC 2.95 or newer.
  + GCC Homepage:
    http://gcc.gnu.org/
  + Download:
    http://ftp.gnu.org/gnu/gcc/
    ftp://ftp.gnu.org/gnu/gcc/

* A 'make' utility.
  + Mandatory. Either the platform's native 'make' (for in-tree builds only),
    or GNU Make 3.79.1 or newer.
  + GNU Make Homepage:
    http://www.gnu.org/software/make/
  + Download:
    http://ftp.gnu.org/gnu/make/
    ftp://ftp.gnu.org/gnu/make/

* A shell
  + Mandatory. Either the platform's native 'sh', or Bash.
  + Homepage:
    http://www.gnu.org/software/bash/
  + Download:
    http://ftp.gnu.org/gnu/bash/
    ftp://ftp.gnu.org/gnu/bash/

* Core POSIX utilities, including:
    [ basename cat chgrp chmod chown cp dd echo expand expr
    false hostname install kill ln ls md5sum mkdir mkfifo
    mknod mv printenv pwd rm rmdir sleep sort tee test touch
    true uname
  + Mandatory. Either the platform's native utilities, or GNU coreutils.
  + Homepage:
    http://www.gnu.org/software/coreutils/
  + Download:
    http://ftp.gnu.org/gnu/coreutils/
    ftp://ftp.gnu.org/gnu/coreutils/

* The comparison utilities 'cmp' and 'diff'.
  + Mandatory. Either the platform's native utilities, or GNU diffutils.
  + Homepage:
    http://www.gnu.org/software/diffutils/
  + Download:
    http://ftp.gnu.org/gnu/diffutils/
    ftp://ftp.gnu.org/gnu/diffutils/

* Grep.
  + Mandatory. Either the platform's native grep, or GNU grep.
  + Homepage:
    http://www.gnu.org/software/grep/
  + Download:
    http://ftp.gnu.org/gnu/grep/
    ftp://ftp.gnu.org/gnu/grep/